| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_EV3Color Class Reference

This class interfaces with LEGO EV3 Color sensor attached to EVShield. More...

`#include <EVs_EV3Color.h>`

Inheritance diagram for EVs_EV3Color:

## Public Member Functions
bool | init (EVShield *shield, SH_BankPort bp)
float | getVal ()
Public Member Functions inherited from EVShieldUART
| EVShieldUART ()
| EVShieldUART (EVShield *shield, SH_BankPort bp)
uint8_t | getMode ()
bool | setType (uint8_t type)
bool | writeLocation (uint8_t loc, uint8_t data)
int16_t | readLocationInt (uint8_t loc)
uint8_t | readLocationByte (uint8_t loc)
bool | init (EVShield *shield, SH_BankPort bp)
uint8_t | setMode (char newMode)
uint16_t | readValue ()
bool | readAndPrint (uint8_t loc, uint8_t len)

## Additional Inherited Members
Public Attributes inherited from EVShieldUART
EVShield * | mp_shield
SH_BankPort | m_bp
int | m_offset

## Detailed Description

This class interfaces with LEGO EV3 Color sensor attached to EVShield.

## Member Function Documentation

## § getVal()

float EVs_EV3Color::getVal | ( |  | ) |

get the color value

## § init()

bool EVs_EV3Color::init | ( | EVShield * | shield,
|  | SH_BankPort | bp
| ) |  |

initialize the device and tell where it is connected

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_EV3Color.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_EV3Color.cpp